package com.qmth.paper.library.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 数组参数params
 */
public class DownLoadPaperParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "扫描任务ID")
    Long paperScanTaskId;
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学院")
    String collegeName;
    @ApiModelProperty(value = "专业")
    String majorName;
    @ApiModelProperty(value = "班级")
    String className;
    @ApiModelProperty(value = "课程")
    String courseName;
    @ApiModelProperty(value = "任课老师")
    String teacher;
    @ApiModelProperty(value = "教学班")
    String teachClass;
    @ApiModelProperty(value = "是否绑定")
    Integer isBind;
    @ApiModelProperty(value = "模糊查询（姓名/学号）")
    String param;
    @ApiModelProperty(value = "分数（小）")
    Double minScore;
    @ApiModelProperty(value = "分数（大）")
    Double maxScore;
    @ApiModelProperty(value = "绑定图片数量（小）")
    Integer minBindCount;
    @ApiModelProperty(value = "绑定图片数量（大）")
    Integer maxBindCount;
    @ApiModelProperty(value = "id数组")
    String ids;
    @ApiModelProperty("大于、等于、小于、不等于")
    private String pictureSymbol;
    @ApiModelProperty("图片张数")
    private Integer pictureCount;


    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getTeachClass() {
        return teachClass;
    }

    public void setTeachClass(String teachClass) {
        this.teachClass = teachClass;
    }

    public Integer getIsBind() {
        return isBind;
    }

    public void setIsBind(Integer isBind) {
        this.isBind = isBind;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Integer getMinBindCount() {
        return minBindCount;
    }

    public void setMinBindCount(Integer minBindCount) {
        this.minBindCount = minBindCount;
    }

    public Integer getMaxBindCount() {
        return maxBindCount;
    }

    public void setMaxBindCount(Integer maxBindCount) {
        this.maxBindCount = maxBindCount;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getPictureSymbol() {
        return pictureSymbol;
    }

    public void setPictureSymbol(String pictureSymbol) {
        this.pictureSymbol = pictureSymbol;
    }

    public Integer getPictureCount() {
        return pictureCount;
    }

    public void setPictureCount(Integer pictureCount) {
        this.pictureCount = pictureCount;
    }
}
